commit:     28ada8fff9b56e3f316a59f688ddd4ac1942c92f
Author:     Pedro Arizmendi <dwosky <AT> pm <DOT> me>
AuthorDate: Thu May  7 18:15:58 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 13:19:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28ada8ff

www-misc/monitorix: Version bump to 3.12.0

Signed-off-by: Pedro Arizmendi <dwosky <AT> pm.me>
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Closes: https://github.com/gentoo/gentoo/pull/15686
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-misc/monitorix/Manifest                |   1 +
 www-misc/monitorix/monitorix-3.12.0.ebuild | 102 +++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/www-misc/monitorix/Manifest b/www-misc/monitorix/Manifest
index 3e77d66ebd8..84c878591f3 100644
--- a/www-misc/monitorix/Manifest
+++ b/www-misc/monitorix/Manifest
@@ -1 +1,2 @@
 DIST monitorix-3.11.0.tar.gz 318741 BLAKE2B 
af190e716acea9dfa56ebf3976e387abc19d0254fbebf6b6b18deff98b989266bff7e7c59e57832ad8b29dff8abb220e19da079c004ec185b63845cf70fb2727
 SHA512 
81832ef569416cc2e587beff8dbd485a6d361c0b5f11611522bde58c06d3156888e8c7b49cb3205adafbf737cd2d2b22e6041cd8b94e6d8c78cb5a4c3b1587de
+DIST monitorix-3.12.0.tar.gz 348117 BLAKE2B 
65f6e5a8ef4acba2e5dd015e3acab1c927a8964de6cf0bb56a426e6e2dc5843083177591f26db639ed36df798db9659cd6345ca38df4f25fc9a4759e84f0d553
 SHA512 
7cbdb27df1d84e87f0b99d310d3b3a7c27e369adc82c88e297966e36de82c2f800474447dd628041f2feb89817ee496cbae65a4b0e4942a2f75c900f16ccfcf1

diff --git a/www-misc/monitorix/monitorix-3.12.0.ebuild 
b/www-misc/monitorix/monitorix-3.12.0.ebuild
new file mode 100644
index 00000000000..84695d5d37f
--- /dev/null
+++ b/www-misc/monitorix/monitorix-3.12.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd
+
+DESCRIPTION="A lightweight system monitoring tool"
+HOMEPAGE="https://www.monitorix.org/";
+SRC_URI="https://www.monitorix.org/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       acct-user/monitorix
+       acct-group/monitorix
+       dev-perl/Config-General
+       dev-perl/DBI
+       dev-perl/HTTP-Server-Simple
+       dev-perl/IO-Socket-SSL
+       dev-perl/libwww-perl
+       dev-perl/MIME-Lite
+       dev-perl/XML-Simple
+       net-analyzer/rrdtool[graph,perl]
+       dev-perl/CGI"
+
+src_prepare() {
+       # Put better Gentoo defaults in the configuration file.
+       sed -e "s|\(base_dir.*\)/usr/share/${PN}|\1/usr/share/${PN}/htdocs|" \
+               -e "s|\(secure_log.*\)/var/log/secure|\1/var/log/auth.log|" \
+               -e "s|nobody|${PN}|g" -i ${PN}.conf || die
+       # Update systemd binary location
+       sed -e "s|/usr/bin|/usr/sbin|g" -i docs/${PN}.service || die
+       eapply_user
+}
+
+# Override compile phase
+src_compile() { :; }
+
+src_install() {
+       dosbin ${PN}
+
+       newinitd "${FILESDIR}/monitorix" ${PN}
+
+       insinto /etc/monitorix
+       doins ${PN}.conf
+
+       keepdir /etc/${PN}/conf.d
+
+       insinto /etc/logrotate.d
+       newins docs/${PN}.logrotate ${PN}
+
+       dodoc Changes README{,.nginx} 
docs/${PN}-{alert.sh,apache.conf,lighttpd.conf}
+       doman man/man5/${PN}.conf.5
+       doman man/man8/${PN}.8
+
+       insinto /var/lib/${PN}/www
+       doins logo_bot.png logo_top.png ${PN}ico.png
+
+       keepdir /var/lib/${PN}/www/imgs
+       fowners monitorix:monitorix /var/lib/${PN}/www/imgs
+
+       exeinto /var/lib/${PN}/www/cgi
+       doexe ${PN}.cgi
+
+       exeinto /usr/lib/${PN}
+       doexe lib/*.pm
+
+       keepdir /var/lib/${PN}/usage
+       insinto /var/lib/${PN}/reports
+       doins -r reports
+
+       systemd_dounit docs/${PN}.service
+}
+
+pkg_postinst() {
+       if has_version '<=www-misc/monitorix-3.5.1' ; then
+               ewarn "WARNING: ${PN} has changed its config format twice, in 
versions"
+               ewarn "3.0.0 and 3.4.0; this format may be incompatible with 
your existing"
+               ewarn "config file. Please take care if upgrading from an old 
version."
+               ewarn
+               elog "${PN} includes its own web server as of version 3.0.0."
+               elog "For this reason, the dependency on the webapp framework"
+               elog "has been removed."
+               elog
+       fi
+       elog "Optional dependencies:"
+       elog "  app-admin/hddtemp   (disk drive temperatures and health)"
+       elog "  mail-mta/postfix    (email reports/statics)"
+       elog "  mail-mta/sendmail   (email reports/statics)"
+       elog "  sys-apps/lm-sensors (lm-sensors and GPU temperatures)"
+       elog "  sys-power/apcupsd   (APC UPS statistics)"
+       elog "  sys-power/nut       (Network UPS Tools statistics)"
+       elog
+       elog "If you wish to use your own web server:"
+       elog "  Web data can be found at: ${EROOT}/var/lib/${PN}/www/"
+       elog "  Also please check the correct user and group ownership"
+       elog "  of ${EROOT}/var/lib/${PN}/www/imgs/"
+}

Reply via email to